<?php

declare(strict_types=1);

namespace App\Framework\Http;

final readonly class HttpResponse implements Response
{
    public function __construct(
        public Status  $status = Status::OK,
        public Headers $headers = new Headers(),
        public string  $body = ''
    ) {}
}
